Subject: Java JNI and egcs-1.1.1
From: [email-masked] (Daniel Kiecza)

19 Jan 1999 08:39:35 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi there,

I extended java via JNI by some C++ functionality. This setup runs
perfectly under Linux but now we want/have to use it under Windows.
The C++ code was quite portable i.e. it was not a big deal to make it
compile under Windows using the cygwin tools along with egcs-1.1.1
I create the DLL as described "everywhere". Somehow Java seems to enter
the C++ routines but when returning a dialog box pops up telling me that
"this program had to be terminated because of an illegal operation
....."     .... details follow ....

---------------------------
JAVA caused an invalid page fault in
module KERNEL32.DLL at 015f:bff7b997.
Registers:
EAX=00000000 CS=015f EIP=bff7b997 EFLGS=00000246
EBX=007baebc SS=0167 ESP=0063fbb4 EBP=0063fbc0
ECX=61062380 DS=0167 ESI=61064944 FS=4f47
EDX=00000014 ES=0167 EDI=007baebc GS=0000
Bytes at CS:EIP:
ff 76 04 e8 26 89 ff ff 5e c2 04 00 56 8b 74 24
Stack dump:
00650188 6101a76d 61064944 0063fbf8 6105aa0d 61062380 007baebc 00650188
007baebc 017fe038 0063fc00 00000010 00000000 006ff4e0 00000018 00760a50
---------------------------

I read a lot of different things about making Java and egcs-DLLs
cooperate in the newsgroup archive of the last year.

So, is it possible or not with the latest egcs-1.1.1 to produce DLLs
liked by Java?

Or could there be a solution like:
First make a package.dll using egcs of my package.
Then make a mediator.dll using VC++ that receives calls from the JNI and
directs them to the stuff in package.dll  ??

Thanks for help,

Daniel Kiecza

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".